GNU bug report logs - #7351
24.0.50; next-error no longer takes into account buffer modifications

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Paul Pogonyshev <pogonyshev@HIDDEN>; merged with #5620; dated Sat, 6 Nov 2010 23:23:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 7351 <at> debbugs.gnu.org:


Received: (at 7351) by debbugs.gnu.org; 11 Nov 2010 22:07:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 17:07:19 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGfId-0006T0-2u
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 17:07:19 -0500
Received: from smtprelay-h32.telenor.se ([213.150.131.5])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jan.h.d@HIDDEN>) id 1PGfIa-0006Sv-Di
	for 7351 <at> debbugs.gnu.org; Thu, 11 Nov 2010 17:07:17 -0500
Received: from ipb1.telenor.se (ipb1.telenor.se [195.54.127.164])
	by smtprelay-h32.telenor.se (Postfix) with ESMTP id E4BF9E8A59
	for <7351 <at> debbugs.gnu.org>; Thu, 11 Nov 2010 23:12:02 +0100 (CET)
X-SENDER-IP: [85.225.45.100]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Aus0AA/420xV4S1kPGdsb2JhbACIDZo9DAEBAQE1LcIkgwQIgj4EjWM
X-IronPort-AV: E=Sophos;i="4.59,185,1288566000"; d="scan'208";a="150698938"
Received: from c-642de155.25-1-64736c10.cust.bredbandsbolaget.se (HELO
	coolsville.localdomain) ([85.225.45.100])
	by ipb1.telenor.se with ESMTP; 11 Nov 2010 23:12:01 +0100
Received: from [172.20.199.13] (zeplin [172.20.199.13])
	by coolsville.localdomain (Postfix) with ESMTPSA id ED8CB7FA05A;
	Thu, 11 Nov 2010 23:12:00 +0100 (CET)
Message-ID: <4CDC6A30.7060002@HIDDEN>
Date: Thu, 11 Nov 2010 23:12:00 +0100
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; sv-SE;
	rv:1.9.2.11) Gecko/20101004 Thunderbird/3.1.5
MIME-Version: 1.0
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#7351: 24.0.50; next-error no longer takes into account buffer
	modifications
References: <201011070126.28016.pogonyshev@HIDDEN>	<t939r81y76.fsf@HIDDEN>
	<201011112131.58680.pogonyshev@HIDDEN>
In-Reply-To: <201011112131.58680.pogonyshev@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 7351
Cc: Glenn Morris <rgm@HIDDEN>, 7351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

FWIW, I remember this feature also from 5-10 years ago.  But I hadn't noticed 
that it was gone now.

	Jan D.


Paul Pogonyshev skrev 2010-11-11 20.31:
> Glenn Morris wrote:
>> Paul Pogonyshev wrote:
>>
>>> I believe this used to work fine in past.
>>
>> Could you give a release of Emacs in which this works?
>>
>> I tried 21.4, 22.1, 22.2, 22.3, 23.1, and 23.2; and it didn't seem to
>> work in any of them.
>
> No.  I seem to recollect that at some point (certainly before 24.x
> development, maybe even before 23) I could fix a compilation error in
> a C file by adding/removing lines, and subsequent errors would still
> be found correctly, without any line offset.  Maybe it depends on
> actual error source, i.e. gcc vs. grep?  Then again, maybe I invented
> this whole story and my memory is failing...
>
> In the latter case, can this be requalified as a feature request?
>
> Paul
>
>




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7351; Package emacs. Full text available.

Message received at 7351 <at> debbugs.gnu.org:


Received: (at 7351) by debbugs.gnu.org; 11 Nov 2010 19:28:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 11 14:28:13 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGcof-0005Ed-2b
	for submit <at> debbugs.gnu.org; Thu, 11 Nov 2010 14:28:13 -0500
Received: from mailout-de.gmx.net ([213.165.64.23] helo=mail.gmx.net)
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <pogonyshev@HIDDEN>) id 1PGcoc-0005EW-Qq
	for 7351 <at> debbugs.gnu.org; Thu, 11 Nov 2010 14:28:11 -0500
Received: (qmail invoked by alias); 11 Nov 2010 19:32:56 -0000
Received: from unknown (EHLO gonzo.localnet) [91.149.173.100]
	by mail.gmx.net (mp025) with SMTP; 11 Nov 2010 20:32:56 +0100
X-Authenticated: #16844820
X-Provags-ID: V01U2FsdGVkX1+j3okj5z+jZuRspqOjWLpvak1UGDlpTG70HUFChD
	1VJJsqVmNd3wbI
From: Paul Pogonyshev <pogonyshev@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#7351: 24.0.50;
	next-error no longer takes into account buffer modifications
Date: Thu, 11 Nov 2010 21:31:56 +0200
User-Agent: KMail/1.13.5 (Linux/2.6.29-2-686; KDE/4.4.5; i686; ; )
References: <201011070126.28016.pogonyshev@HIDDEN>
	<t939r81y76.fsf@HIDDEN>
In-Reply-To: <t939r81y76.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
Message-Id: <201011112131.58680.pogonyshev@HIDDEN>
X-Y-GMX-Trusted: 0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 7351
Cc: 7351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

Glenn Morris wrote:
> Paul Pogonyshev wrote:
> 
> > I believe this used to work fine in past.
> 
> Could you give a release of Emacs in which this works?
> 
> I tried 21.4, 22.1, 22.2, 22.3, 23.1, and 23.2; and it didn't seem to
> work in any of them.

No.  I seem to recollect that at some point (certainly before 24.x
development, maybe even before 23) I could fix a compilation error in
a C file by adding/removing lines, and subsequent errors would still
be found correctly, without any line offset.  Maybe it depends on
actual error source, i.e. gcc vs. grep?  Then again, maybe I invented
this whole story and my memory is failing...

In the latter case, can this be requalified as a feature request?

Paul




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7351; Package emacs. Full text available.

Message received at 7351 <at> debbugs.gnu.org:


Received: (at 7351) by debbugs.gnu.org; 11 Nov 2010 00:44:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 10 19:44:53 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PGLHY-0005EM-WC
	for submit <at> debbugs.gnu.org; Wed, 10 Nov 2010 19:44:53 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PGLHW-0005EH-RD
	for 7351 <at> debbugs.gnu.org; Wed, 10 Nov 2010 19:44:51 -0500
Received: from localhost ([127.0.0.1]:55679)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1PGLM6-0007Lh-8s; Wed, 10 Nov 2010 19:49:34 -0500
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#7351: 24.0.50;
	next-error no longer takes into account buffer modifications
References: <201011070126.28016.pogonyshev@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: INSCOM Capricorn class struggle ASO Europol Jiang Zemin
X-Ran: ?$JXtgjLYO.ygKTZ,ruVw`MRLf|H0l|X'^uhTRV()^PjyD!!H&t.8KfqBtVR9HrB*Z6II<
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 10 Nov 2010 19:49:33 -0500
In-Reply-To: <201011070126.28016.pogonyshev@HIDDEN> (Paul Pogonyshev's
	message of "Sun\, 7 Nov 2010 01\:26\:27 +0200")
Message-ID: <t939r81y76.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: 7351
Cc: 7351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

Paul Pogonyshev wrote:

> I believe this used to work fine in past.

Could you give a release of Emacs in which this works?

I tried 21.4, 22.1, 22.2, 22.3, 23.1, and 23.2; and it didn't seem to
work in any of them.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7351; Package emacs. Full text available.
Merged 5620 7351. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2010 23:22:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 19:22:50 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PEs5y-0004QI-A3
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2010 19:22:50 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <pogonyshev@HIDDEN>) id 1PEs5w-0004QD-B3
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2010 19:22:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pogonyshev@HIDDEN>) id 1PEsAL-0002vR-Jm
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2010 19:27:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_BL_SPAMCOP_NET,RCVD_IN_DNSWL_NONE,T_RP_MATCHES_RCVD,
	T_TO_NO_BRKTS_FREEMAIL autolearn=no version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:42582)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <pogonyshev@HIDDEN>) id 1PEsAL-0002vN-Hz
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2010 19:27:21 -0400
Received: from [140.186.70.92] (port=57707 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PEsAK-0002C9-Ji
	for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2010 19:27:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <pogonyshev@HIDDEN>) id 1PEsAJ-0002vA-Mx
	for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2010 19:27:20 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:57185 helo=mail.gmx.net)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <pogonyshev@HIDDEN>) id 1PEsAJ-0002ul-7k
	for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2010 19:27:19 -0400
Received: (qmail invoked by alias); 06 Nov 2010 23:27:15 -0000
Received: from unknown (EHLO gonzo.localnet) [91.149.173.100]
	by mail.gmx.net (mp025) with SMTP; 07 Nov 2010 00:27:15 +0100
X-Authenticated: #16844820
X-Provags-ID: V01U2FsdGVkX19y2lVdjopyCpK0dQNZJvBFHxzLPrSHrSaoisaXje
	YlUlpQ60227bix
From: Paul Pogonyshev <pogonyshev@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; next-error no longer takes into account buffer modifications
Date: Sun, 7 Nov 2010 01:26:27 +0200
User-Agent: KMail/1.13.5 (Linux/2.6.29-2-686; KDE/4.4.5; i686; ; )
MIME-Version: 1.0
Content-Type: Text/Plain;
  charset="us-ascii"
Content-Transfer-Encoding: 7bit
Message-Id: <201011070126.28016.pogonyshev@HIDDEN>
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

When hitting C-x ` (next-error) the point is positioned correctly only
if the buffer is not modified.  If number of lines before the target
position is changed, point is positioned wrongly.

For instance, say 'test.txt' contains these lines:

    foo
    bar
    baz

I then run 'grep' from Emacs like this:

    grep -nH -e ba test.txt

Results:

    -*- mode: grep; default-directory: "/home/paul/test/" -*-
    Grep started at Sun Nov  7 01:25:17

    grep -nH -e ba test.txt
    test.txt:2:bar
    test.txt:3:baz

    Grep finished (matches found) at Sun Nov  7 01:25:17

Then I insert a few more lines in 'test.txt' buffer:

    foo
    bar
    spam
    ham
    baz

Now if I hit C-x ` the first time point is moved to line 2 --
correctly.  The second time, however, the point is moved to line 3,
i.e. the original location of 'baz'.  However, 'baz' is now at line 5
and that's where I expect C-x ` to move point to.  Note that at no
point I closed the buffer, so Emacs should be able to track changes
between 'grep' run and current buffer/file contents.

This is especially unhelpful with compilation errors.  Often, you'd go
through errors fixing them in process, sometimes adding or removing
lines.  However, any such change makes finding subsequent errors
difficult as C-x ` will no longer locate errors correctly.

I believe this used to work fine in past.

Paul




Acknowledgement sent to Paul Pogonyshev <pogonyshev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#7351; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.